%define name synopsis
%define version 0.12
%define release 16
%define py_sitedir %(%{__python} -c "from distutils.sysconfig  import get_python_lib; print get_python_lib()")
%define py_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define url http://synopsis.fresco.org

Summary: Source-code Introspection Tool
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}.1
Source0: %{url}/download/%{name}-%{version}.tar.gz
Patch0: synopsis-gcc45.patch
License: LGPLv2+
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: %{url}
BuildRequires: python-devel
BuildRequires: pkgconfig
BuildRequires: libgc-devel
BuildRequires: flex
BuildRequires: bison
Requires: python-docutils
Requires: graphviz

%description
Synopsis is a multi-language source code introspection tool that
provides a variety of representations for the parsed code, to
enable further processing such as documentation extraction,
reverse engineering, and source-to-source translation.

%package devel
Summary: The Synopsis development environment
Group: Development/Libraries
Requires: synopsis = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers and libraries for developing software that uses Synopsis APIs.

%package doc
Summary: The Synopsis documentation
Group: Documentation
Requires: synopsis = %{version}-%{release}

%description doc
Synopsis documentation

%package idl
Summary: The Synopsis IDL Parser
License: GPLv2+
Group: Development/Tools
Requires: synopsis = %{version}-%{release}

%description idl
Synopsis IDL Parser module to parse CORBA IDL.


%prep
%setup -q
%patch0 -p1

env CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
python setup.py config --with-gc-prefix=%{_prefix} --libdir=%{_libdir}

%build
env CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%files
%defattr(-, root, root, -)
%{_bindir}/*
%{_libdir}/*.so.*
%{py_sitearch}/*.egg-info
%dir %{py_sitearch}/Synopsis/
%{py_sitearch}/Synopsis/*.py
%{py_sitearch}/Synopsis/*.pyc
%{py_sitearch}/Synopsis/*.pyo
%dir %{py_sitearch}/Synopsis/Parsers/
%{py_sitearch}/Synopsis/Parsers/*.py
%{py_sitearch}/Synopsis/Parsers/*.pyc
%{py_sitearch}/Synopsis/Parsers/*.pyo
%{py_sitearch}/Synopsis/Parsers/Cpp
%{py_sitearch}/Synopsis/Parsers/C
%{py_sitearch}/Synopsis/Parsers/Cxx
%{py_sitearch}/Synopsis/Parsers/Python
%{py_sitearch}/Synopsis/Processors
%{py_sitearch}/Synopsis/Formatters
%{_datadir}/synopsis-%{version}
%dir %{_docdir}/synopsis-%{version}
%{_docdir}/synopsis-%{version}/README 
%{_docdir}/synopsis-%{version}/COPYING
%{_docdir}/synopsis-%{version}/NEWS
%{_mandir}/man1/*

%files devel
%defattr(-, root, root, -)
%{_includedir}/Synopsis
%{_libdir}/*.so
%{_libdir}/pkgconfig/synopsis.pc
%{_docdir}/synopsis-%{version}/README 
%{_docdir}/synopsis-%{version}/COPYING
%{_docdir}/synopsis-%{version}/NEWS

%files doc
%defattr(-, root, root, -)
%{_docdir}/synopsis-%{version}/README 
%{_docdir}/synopsis-%{version}/COPYING
%{_docdir}/synopsis-%{version}/NEWS
%{_docdir}/synopsis-%{version}/html
%{_docdir}/synopsis-%{version}/print
%{_docdir}/synopsis-%{version}/examples

%files idl
%defattr(-, root, root, -)
%{py_sitearch}/Synopsis/Parsers/IDL
%{_docdir}/synopsis-%{version}/README 
%{_docdir}/synopsis-%{version}/COPYING
%{_docdir}/synopsis-%{version}/NEWS

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-16.1
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-15.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-14.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.12-13.1
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-12.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-11.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-7
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 01 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.12-4
- Fix gcc-4.5 build errors 

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 17 2009 Stefan Seefeld <stefan@fresco.org> 0.12-1
- Bump version number.

* Mon Mar 02 2009 Caolán McNamara <caolanm@redhat.com> - 0.11-3
- include stdio.h for EOF, ostream for std::ostream

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 26 2008 Stefan Seefeld <stefan@fresco.org> 0.11-1
- initial package.
